/**************************************************************************
 * FILE NAME: $RCSfile: uart_example1_mcf5235.h,v $                       *
 *                                           COPYRIGHT (c) FREESCALE 2004 *
 * This file contains prototypes and definitions for the sample MCF5235   *
 * program using the the eTPU UART function                               *
 *========================================================================*
 * ORIGINAL AUTHOR: Mario Perez (r2494c)                                  *
 * $Log: uart_example1_mcf5235.h,v $
 * Revision 1.1  2004/12/09 16:25:58  r47354
 * No changes to code, just updated for CVS and checked into CVS.
 *
 *........................................................................*
 * 0.1   M.Perez      22/Nov/04    Initial version.                       *
 **************************************************************************/
#include "etpu_util.h" /*Utility routines for working with eTPU */

/* engines & channel numbers macros */
#define FS_ETPU_ENGINE_A_CHANNEL(x)  (x)
#define FS_ETPU_ENGINE_B_CHANNEL(x)  ((x)+64)

/* define functions to channels on engine A*/
#define UART0_CHANNEL	FS_ETPU_ENGINE_A_CHANNEL(0)
#define UART1_CHANNEL	FS_ETPU_ENGINE_A_CHANNEL(1)

/* define functions to channels */
#define TX_CHANNEL UART0_CHANNEL
#define RX_CHANNEL UART1_CHANNEL

struct etpu_config_t my_etpu_config = {

  /*MCR register*/
  FS_ETPU_MISC_DISABLE,

  /*MISC value from eTPU compiler link file*/
  FS_ETPU_MISC,

  /*Configure eTPU engine A*/
  FS_ETPU_FILTER_CLOCK_DIV8 +
  FS_ETPU_CHAN_FILTER_3SAMPLE +
  FS_ETPU_ENTRY_TABLE,

  /*Configure eTPU engine A timebases*/
  FS_ETPU_TCR2CTL_DIV8 +
  ( 7 << 16) +     /*TCR2 prescaler of 8 (7+1)*/
  FS_ETPU_TCR1CTL_DIV2 +
  3,               /*TCR1 prescaler of 4 (3+1)*/
  0
  };

/*********************************************************************
 *
 * Copyright:
 *  Freescale Semiconductor, INC. All Rights Reserved.
 *  You are hereby granted a copyright license to use, modify, and
 *  distribute the SOFTWARE so long as this entire notice is
 *  retained without alteration in any modified and/or redistributed
 *  versions, and that such modified versions are clearly identified
 *  as such. No licenses are granted by implication, estoppel or
 *  otherwise under any patents or trademarks of Freescale
 *  Semiconductor, Inc. This software is provided on an "AS IS"
 *  basis and without warranty.
 *
 *  To the maximum extent permitted by applicable law, Freescale
 *  Semiconductor DISCLAIMS ALL WARRANTIES WHETHER EXPRESS OR IMPLIED,
 *  INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 *  PARTICULAR PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT WITH
 *  REGARD TO THE SOFTWARE (INCLUDING ANY MODIFIED VERSIONS THEREOF)
 *  AND ANY ACCOMPANYING WRITTEN MATERIALS.
 *
 *  To the maximum extent permitted by applicable law, IN NO EVENT
 *  SHALL Freescale Semiconductor BE LIABLE FOR ANY DAMAGES WHATSOEVER
 *  (INCLUDING WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS,
 *  BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER
 *  PECUNIARY LOSS) ARISING OF THE USE OR INABILITY TO USE THE SOFTWARE.
 *
 *  Freescale Semiconductor assumes no responsibility for the
 *  maintenance and support of this software
 ********************************************************************/

